// WaterPistol.java
//
// ICS 22 / CSE 22 Fall 2012
// Code Example
//
// Here, we define a WaterPistol class, which is a kind of weapon (so it
// extends Weapon).  WaterPistols are simple in our game.  They can always
// be fired -- so long as they contain ammunition.  Otherwise, they inherit
// all of their behavior from the Weapon class.


public class WaterPistol extends Weapon
{
	// Notice that this constructor doesn't initialize the ammunitionCount
	// field inherited from Weapon.  There are two reasons for this:
	//
	// (1) Since the WaterPistol class extends the Weapon class, it inherits
	//     all of Weapon's fields, even the private ones.  However, the
	//     private fields are not accessible to WaterPistol; only Weapon can
	//     actually access them.  (And this is fine, because Weapon already
	//     knows everything there is to know about managing the amount of
	//     ammunition in the weapon.)
	// (2) There is already code to initialize this field in the Weapon
	//     constructor, so rather than duplicating it here, we're better off
	//     letting the Weapon constructor do what it does: initialize the
	//     ammunitionCount for a newly-constructed Weapon.

	public WaterPistol(int ammunitionCount)
	{
		super(ammunitionCount);
	}


	public boolean canFireWithAmmunition()
	{
		return true;
	}
}
